Skip to Content
inclamoDocs

Add or remove agent bot

POST
/api/v1/accounts/{account_id}/inboxes/{id}/set_agent_bot

To add an agent bot pass agent_bot id, to remove agent bot from an inbox pass null

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the inbox

Request Body

application/json
  1. body
agent_bot*number

Agent bot ID

Response Body

Success

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/inboxes/0/set_agent_bot' \  -H 'Content-Type: application/json' \  -d '{  "agent_bot": 0}'
Example Response
Empty